import pymysql
import random
import traceback
from log_settings import *
import logging
from auto_request import logins, pictorial_reply, get_majia_reply, get_pictorial_comment
from auto_request import host, user, db, passwd

"""
离线一次性插入{1,4}条评论
"""


def get_data():
    try:
        print("....")
        pc = pymysql.connect(host=host, user=user, passwd=passwd, db=db, port=3306)
        cursor = pc.cursor()
        cursor.execute(
            "SELECT  creator_id,id FROM community_pictorial where is_online =True ")
        data = cursor.fetchall()
        topic_id = list(data)
        logging.info("Database version : %s " % topic_id)
        return topic_id

    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())
        return []


if __name__ == "__main__":

    try:
        logging.info("comment offline  pictorial")
        user_id = get_data()
        dicts = {}
        for i in user_id:
            for num in range(4):
                majia_user_id = get_majia_reply(i[0])
                cook = logins(majia_user_id)
                comment = get_pictorial_comment()
                if cook is not None:
                    logging.info("get cook:%s" % cook)
                    logging.info("get i[1]:%s" % i[1])
                    logging.info("get comment:%s" % comment)

                    pictorial_reply(cook, i[1], comment)
                else:
                    logging.info("no get cookies-------------")
    except:
        logging.error("catch exception,main:%s" % traceback.format_exc())
